#.Cipher.Method


Decrypt
M
s
(Cipher)CipherText
DecryptSalted
M
s
(Cipher)s(Password)s
Encrypt
M
CipherText
(Plain)s[(Key)s(InitVector)s]
EncryptSalted
M
s
(Plain)s(Password)s[(Salt)s]
IvLength
R
i

KeyLength
R
i

#.Digest.Method


Hash
M
s
(Data)s
_call
M
s
(Data)s
#Cipher


IsSupported
M
b
(Method)s
_get
M
.Cipher.Method
(Method)s
_init
M


List
R
String[]

#CipherText

C
_free
m


_new
m

(Cipher)s(Key)s(InitVector)s
Cipher
r
s

InitVector
r
s

Key
r
s

#Digest


IsSupported
M
b
(Method)s
_get
M
.Digest.Method
(Method)s
_init
M


List
R
String[]

#HMac


RipeMD160
C
i
117
Sha1
C
i
64
_call
M
s
(Key)s(Data)s[(Method)i]
